<template>
	<div class="cards">
		<h4>Bearbeiten</h4>
		<div class="card-body">
			<form v-on:submit.prevent class="cols c-0-1">
				<div class="cell">ID</div>
				<div class="cell">Titel</div>
				<div class="cell">{{ eventTypeToEdit.id }}</div>
				<div class="cell">
					<input type="text" v-model="eventTypeToEdit.title" class="input" />
				</div>

				<div class="cell c-merged">
					<button @click="saveEventType" type="submit" class="button button--mobile-stretch">Speichern</button>
				</div>
			</form>
		</div>
		<system-message v-if="sysMsg" :msg.sync="sysMsg" />
	</div>
</template>

<script>
import SystemMessage from "@/components/SystemMessage";

export default {
	name: "AdminEventTypesEdit",
	components: { SystemMessage },
	props: {
		eventTypeToEdit: {}
	},
	data: () => ({
		sysMsg: undefined
	}),
	methods: {
		async saveEventType() {
			this.sysMsg = "";
			try {
				const response = await this.$http.put("/api/admin/eventTypes/update", this.eventTypeToEdit);

				if (response.status === 200) {
					this.sysMsg = "Kategorie erfolgreich gespeichert!";
				}
			} catch (e) {
				if (e.response.status === 404) {
					this.sysMsg = "Kategorie nicht gefunden!";
				}
			}
		}
	}
}
</script>

<style scoped>

</style>